// Fill out your copyright notice in the Description page of Project Settings.


#include "SideBountyClass.h"

void ASideBountyClass::BeginPlay()
{
	Super::BeginPlay();
	
}

void ASideBountyClass::IncrementBountyCheckpoint()
{
	Super::IncrementBountyCheckpoint();

	if (Completed)
	{
		CompletedSideBounty.Broadcast(FavoursEarnedForCompletion);
	}
}

void ASideBountyClass::DestroyCheckpoints()
{
	for (int i = 0; i < BountyCheckpoints.Num(); i++)
	{
		if (BountyCheckpoints[i] == nullptr)
		{
			continue;
		}

		BountyCheckpoints[i]->Destroy();
	}
}

